using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.File
{
    [Description("录音上传")]
    public class UploadAudioFiles : FullStateEntity
    {
        /// <summary>
        /// 附件Id
        /// </summary>
        [SugarColumn(ColumnDescription = "附件Id")]
        public string FileId { get; set; }

        /// <summary>
		/// 附件全称
		/// </summary>
		[SugarColumn(ColumnDescription = "附件全称")]
        public string FileName { get; set; }

        /// <summary>
        /// 附件名称
        /// </summary>
        [SugarColumn(ColumnDescription = "附件名称")]
        public string? Name { get; set; }

        /// <summary>
		/// 附件类型
		/// </summary>
		[SugarColumn(ColumnDescription = "附件类型")]
        public string? Type { get; set; }

        /// <summary>
        /// 附件路径
        /// </summary>
        [SugarColumn(ColumnDescription = "附件路径", ColumnDataType = "varchar(500)")]
        public string Path { get; set; }

        /// <summary>
        /// 完整附件路径
        /// </summary>
		[SugarColumn(ColumnDescription = "完整附件路径")]
        public string? AllPath { get; set; }
    }
}
